<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.hotent</groupId>
        <artifactId>eip</artifactId>
        <version>8.0.7</version>
    </parent>

    <artifactId>auth-server</artifactId>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <name>auth-server</name>
    <description>认证中心-服务</description>
    <dependencies>
        <dependency>
            <groupId>com.hotent</groupId>
            <artifactId>i18n</artifactId>
            <version>${parent.version}</version>
        </dependency>

        <dependency>
            <groupId>com.hotent</groupId>
            <artifactId>uc</artifactId>
            <version>${parent.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>com.hotent</groupId>
                    <artifactId>rest-auth-service</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.hotent</groupId>
            <artifactId>uc</artifactId>
            <version>8.0.7</version>
            <scope>compile</scope>
        </dependency>
    </dependencies>
    <!-- 用于生成jar文件-->
    <build>
        <finalName>auth-server</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>${spring.boot.version}</version>
                <configuration>
                    <mainClass>com.hotent.auth.server.Application</mainClass>
                    <layout>JAR</layout>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                        <configuration>
                            <attach>false</attach>
                            <classifier>boot</classifier>
                        </configuration>
                    </execution>
                </executions>
            </plugin>

        </plugins>
    </build>

</project>